Page MenuHomePhabricator

dismissed event total interaction time is not being reported correctly
Closed, ResolvedPublic

Description

A regression was introduced in https://gerrit.wikimedia.org/r/#/c/311753/ where the dismiss event totalInteractionTime property is being sent as null. That's because logData is being reset (in the closePopup method) before it's sent as part of the dismiss event.

Details

Related Gerrit Patches:

Event Timeline

Change 313245 had a related patch set uploaded (by Bmansurov):
Regression: Correctly log total interaction time for dismiss event

https://gerrit.wikimedia.org/r/313245

bmansurov changed the point value for this task from 3 to 0.5.
bmansurov removed the point value for this task.EditedSep 28 2016, 9:28 PM

Forgot that subtasks don't need estimation.

Change 313245 merged by jenkins-bot:
Regression: Correctly log total interaction time for dismiss event

https://gerrit.wikimedia.org/r/313245

bmansurov removed bmansurov as the assignee of this task.Oct 3 2016, 3:53 PM
phuedx assigned this task to Jhernandez.Oct 3 2016, 5:04 PM
phuedx added a subscriber: phuedx.

Per @Jhernandez's response to @bmansurov's email…

Jhernandez closed this task as Resolved.Oct 4 2016, 12:41 PM